Bug 1599434 (CVE-2018-10894) - CVE-2018-10894 keycloak: auth permitted with expired certs in SAML client
Summary: CVE-2018-10894 keycloak: auth permitted with expired certs in SAML client
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10894
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1560744
TreeView+ depends on / blocked
 
Reported: 2018-07-09 19:41 UTC by Chess Hazlett
Modified: 2019-09-29 14:43 UTC (History)
25 users (show)

Fixed In Version: keycloak 4.4.0.Final
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:32:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3592 None None None 2018-11-13 18:15:05 UTC
Red Hat Product Errata RHSA-2018:3593 None None None 2018-11-13 18:16:30 UTC
Red Hat Product Errata RHSA-2018:3595 None None None 2018-11-13 18:21:01 UTC
Red Hat Product Errata RHSA-2019:0877 None None None 2019-04-24 18:46:51 UTC

Description Chess Hazlett 2018-07-09 19:41:08 UTC
It was found that SAML authentication in Keycloak incorrectly authenticated expired certificates. A malicious user could use this to access unauthorized data or possibly conduct further attacks.

Comment 3 Andrej Nemec 2018-07-20 13:30:16 UTC
Acknowledgments:

Name: Benjamin Berg (Red Hat)

Comment 5 errata-xmlrpc 2018-11-13 18:15:00 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2 for RHEL 6

Via RHSA-2018:3592 https://access.redhat.com/errata/RHSA-2018:3592

Comment 6 errata-xmlrpc 2018-11-13 18:16:25 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2 for RHEL 7

Via RHSA-2018:3593 https://access.redhat.com/errata/RHSA-2018:3593

Comment 7 errata-xmlrpc 2018-11-13 18:20:55 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2.5 zip

Via RHSA-2018:3595 https://access.redhat.com/errata/RHSA-2018:3595

Comment 10 errata-xmlrpc 2019-04-24 18:46:50 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877

Comment 12 Jason Shepherd 2019-08-08 06:07:02 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details


Note You need to log in before you can comment on or make changes to this bug.